Set Allocation Presets

View as MarkdownOpen in Claude

Set the preset behavior for allocation groups for specific events.

POST /iserver/account/allocation/presets

Request Object

Body Params

default_method_for_all: String. Required
Set the default allocation method to be used for all allocation groups without a set value.

group_auto_close_positions: bool. Required

profiles_auto_close_positions: bool. Required

strict_credit_check: bool. Required

group_proportional_allocation: bool. Required

request_url = f"{baseUrl}/iserver/account/allocation/presets"
json_content = {
"default_method_for_all": "E",
"group_auto_close_positions": true,
"profiles_auto_close_positions": true,
"strict_credit_check": false,
"group_proportional_allocation": false
}
requests.post(url=request_url, json=json_content)

Response Object

success: bool.
Confirms that the preset was properly set.

{
"success": true
}